#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'lelangpaket.edit_paket'}
#{/set}

<ol class="breadcrumb" style="background-color: #25B396 !important;">
    <li><a href="@{devpartner.PaketDpCtr.index()}">&{'lelangpaket.daftar_paket'} </a>
    <li class="active">&{'lelang_doc.edit_paket'}</li>
</ol>
<div class="content">
#{alert /}
#{stepper steppers /}
#{form @devpartner.PaketDpCtr.simpanPartTwo(paket?.pkt_id), id:'formTambahPaket', method:'POST', class:'form-horizontal'}
<input type="hidden" name="step" value="${currentStep}" />
<table class="table table-condensed table-bordered">
    #{if paket.showExtendedPpkInput() }
        <tr>
            <th class="bg-warning">&{'lelangpaket.nilai_hps'} <span class="warning">*</span></th>
            <td>
                #{if !isKuppbj }
                    <input type="text" name="hps" value="${paket.pkt_hps}"/>
                #{/if}
                #{else}
                    ${paket?.hpsFormatted}
                #{/else}
            </td>
        </tr>

        <tr>
            <th class="bg-warning">UKPBJ <span class="warning">*</span></th>
            <td class="#{errorClass 'paket.ukpbj_id'/}">

                #{if paket.ukpbj == null && paket?.allowEditUkpbj()}
                    <a class="btn btn-default btn-xs" title="Pilih UKPBJ" href="@{devpartner.PaketDpCtr.pilihUkpbj(paket.pkt_id)}">
                        <i class="fa fa-edit"></i>&nbsp;&{'lelangpaket.pilih_ukpbj'}
                    </a>
                #{/if}
                #{else}
                    <table class="table table-responsive">
                        <tr>
                            <th style="width: 80%">&{'lelangpaket.nama'}</th>
                            <th colspan="2" style="text-align: center">&{'lelangpaket.aksi'}</th>
                        </tr>
                        <tr>
                            <td>${paket?.ukpbj?.nama}</td>
                            #{if paket?.allowEditUkpbj()}
                                <td>
                                    <a class="btn btn-default btn-xs" title="Ganti UKPBJ" href="@{devpartner.PaketDpCtr.pilihUkpbj(paket.pkt_id)}">
                                        <i class="fa fa-edit"></i>&nbsp;&{'lelangpaket.ganti_ukpbj'}
                                    </a>
                                </td>
                                <td>
                                    <a class="btn btn-danger btn-xs" title="Batal Pilih UKPBJ"
                                       href="@{devpartner.PaketDpCtr.batalPilihUkpbj(paket.pkt_id)}" onclick="return confirm(il8n('lelangpaket.msg_batal_memilih'))" >
                                        <i class="fa fa-close"></i>&nbsp;&{'lelangpaket.batal'}
                                    </a>
                                </td>
                            #{/if}
                            #{else}
                                <td colspan="2" style="text-align: center">&{'lelangpaket.tidak_bisa_diganti'}</td>
                            #{/else}
                        </tr>
                    </table>
                #{/else}
                <span class="help-block">#{error 'paket.ukpbj_id' /}</span>
            </td>
        </tr>

        #{if !isPpk }
            <tr>
                <th class="bg-warning">&{'lelangpaket.pokja_pemilihan'} <span class="warning">*</span></th>
                <td>
                ${paket?.panitia?.pnt_nama}
                    <a class="btn btn-default btn-xs" title="Pilih Pokja Pemilihan" href="@{devpartner.PaketDpCtr.panitia(paket.pkt_id)}">
                        <i class="fa fa-edit"></i>&nbsp;#{if paket?.panitia?.pnt_nama != null }&{'lelangpaket.ganti'}#{/if}#{else}&{'lelangpaket.pilih'}#{/else} &{'lelangpaket.pokja_pemilihan'}
                    </a>
                </td>
            </tr>
            #{if historyPokja?.size > 0 }
                <tr>
                    <th class="bg-warning"> &{'lelangpaket.riwayat_pokja_pemilihan'}</th>
                    <td>
                        <table class="table table-condensed">
                            <tr>
                                <th>&{'lelangpaket.tanggal'}</th>
                                <th>&{'lelangpaket.nama_panitia'}</th>
                                <th>&{'lelangpaket.alasan_diganti'}</th>
                                <th>&{'lelangpaket.penanggung_jawab'}</th>
                            </tr>
                            #{list items:historyPokja, as:'pokja'}
                                <tr>
                                    <td>${pokja.tgl_perubahan?.formatDateTime()}</td>
                                    <td>${pokja.namaPokja}</td>
                                    <td>${pokja.alasan == null ? "-" : pokja.alasan}</td>
                                    <td>${pokja.namaPegawai == null ? "-" : pokja.namaPegawai}</td>
                                </tr>
                            #{/list}
                        </table>
                    </td>
                </tr>
            #{/if}
        #{/if}
    #{/if}
</table>
<div class="form-group">
    <div class="col-xs-10">
        <a class="btn btn-default btn-sm" href="@{devpartner.PaketDpCtr.edit(paket.pkt_id)}"><i class="fa fa-arrow-circle-left fa-fw"></i> &{'ct.sebelumnya'}</a>
        #{if (allowToShowSaveButton || paket.isEditableByKuppbj()) && currentStep == steppers.size() }
            #{saveButton title:saveButtonTitle /}
        #{/if}
    </div>
</div>
#{/form}

 <div class="bs-callout bs-callout-warning">
      <span class="warning">*</span> &{'lelangpaket.wajib_diisi'}
 </div>

</div>